Bug 390671 - ftp servers without resume not supported when retrying partly downloaded RPM
ftp servers without resume not supported when retrying partly downloaded RPM
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: smart (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-19 11:59 EST by Dag
Modified: 2008-01-27 14:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 13:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag 2007-11-19 11:59:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
On a server that doesn't support "resume", after having been interrupted through a download, when restarting the download, Smart is keeping asking for resume to the server with no option to modify this behavior, then the user can't download the file.
The only mean to download the RPM is to delete the partial download in the Smart's cache directory (/var/lib/smart/packages/).
Then Smart is downloading the file entirely from the beginning of that file.

Version-Release number of selected component (if applicable):
smart-0.50-47

How reproducible:
Always


Steps to Reproduce:
1. in Smart GUI add the ftp Fedora repo (RPM Metadata): ftp://ftp.proxad.net/mirrors/fedora.redhat.com/fedora/linux/releases/8/Everything/i386/os
2. enable and update this new channel, then choose a big RPM to download (e.g. openarena-data = 266MB) and click on "Apply changes" button
3. cut your network connection after a few percent done, wait for Smart to display an error message
4. re-establish your network connection and retry "Apply Changes" button
5. Smart will pop up a message telling you the server doesn't know this command (error 500)
6. then you will have no choice but open a terminal and delete the partial download in the Smart cache (reboot, restart Smart, etc. won't work) to be able to download this RPM

Actual Results:
Smart keeps on trying to "resume" the partial download leaving you no choice but open a terminal, login as root and delete the partial download in the Smart cache (reboot, restart Smart, etc. won't work).
Then you will be able to download this RPM entirely.

Expected Results:
on error 500, Smart may ask user if he wants to start downloading the file all over again, or keep trying to resume the incomplete download.
Or more simply after some failed retries, just try to download the file all over again, ignoring the already downloaded part of the file.
Or add a button to cleear the partially downloaded files from the Smart's cache.

Additional info:
But it shouldn't try to resume forever without an option to clear the cache or try to download the file entirely (ignoring already downloaded part).
Comment 1 Axel Thimm 2007-11-29 13:56:23 EST
This is an ugly bug, I filed it upstream in http://tracker.labix.org/issue344
Comment 2 Axel Thimm 2008-01-27 14:16:25 EST
Feedback: The bug has been fixed upstream, but there is no new release yet.

Note You need to log in before you can comment on or make changes to this bug.